# FoundationClasses
TKernel
Storage

# Storage_Bucket Class Reference

`#include <Storage_BucketOfPersistent.hxx>`

## Public Member Functions

| Storage_Bucket ()
| Storage_Bucket (const Standard_Integer theSpaceSize)
void | Clear ()
| ~Storage_Bucket ()

## Private Member Functions

void | Append (Standard_Persistent *)
Standard_Persistent * | Value (const Standard_Integer theIndex) const

## Private Attributes

Standard_Persistent ** | mySpace
Standard_Integer | mySpaceSize
Standard_Integer | myCurrentSpace

## Constructor & Destructor Documentation

Storage_Bucket::Storage_Bucket | ( |  | ) | `[inline]`

Storage_Bucket::Storage_Bucket | ( | const Standard_Integer | theSpaceSize | ) | `[inline]`

Storage_Bucket::~Storage_Bucket | ( |  | ) |

## Member Function Documentation

void Storage_Bucket::Append | ( | Standard_Persistent * |  | ) | `[private]`

void Storage_Bucket::Clear | ( |  | ) |

Standard_Persistent* Storage_Bucket::Value | ( | const Standard_Integer | theIndex | ) | const`[private]`

## Field Documentation

Standard_Integer Storage_Bucket::myCurrentSpace `[private]`

Standard_Persistent** Storage_Bucket::mySpace `[private]`

Standard_Integer Storage_Bucket::mySpaceSize `[private]`

The documentation for this class was generated from the following file:

- Storage_BucketOfPersistent.hxx